import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

public class DressUp extends JApplet implements ItemListener
{
	private JRadioButton s1RB, s2RB, jRB, p1RB, p2RB, sh1RB, sh2RB, hRB;
	private ButtonGroup ClothesSelectBGroup;
	private boolean shirt1=false, shirt2=false, jacket=false, pants1=false, 
		pants2=false, shoes1=false, shoes2=false, hat=false;
	private JComboBox colors;
	private String Colors[] = {"White", "Red", "Crimson", "Blue", "Yellow",
	"Gray", "Black"};
	private Color myColor,color0,color1,color2,color3,color4,color5,color6,color7;
	private JButton reset;
	private RHandler ResetHandler;
	
	public void init()
	{
		Container c = getContentPane();
		c.setLayout(null);
		c.setBackground(Color.white);
		//Radio Buttons
		s1RB = new JRadioButton("T-Shirt");
		s2RB = new JRadioButton("Suit Shirt");
		jRB =  new JRadioButton("Suit Jacket");
		p1RB = new JRadioButton("Jeans");
		p2RB = new JRadioButton("Suit Pants");
		sh1RB = new JRadioButton("Sneakers");
		sh2RB = new JRadioButton("Nice Shoes");
		hRB = new JRadioButton("Fez");
		colors = new JComboBox(Colors);
		colors.setMaximumRowCount(7);
		myColor = new Color(205,51,51);
		reset = new JButton("Reset");
		ResetHandler=new RHandler();
		
		//set button sizes
		s1RB.setSize(100,30);
		s2RB.setSize(100,30);
		jRB.setSize(100,30);
		p1RB.setSize(100,30);
		p2RB.setSize(100,30);
		sh1RB.setSize(100,30);
		sh2RB.setSize(100,30);
		hRB.setSize(100,30);
		colors.setSize(80,30);
		reset.setSize(80,30);
	
		//set Button Locations
		s1RB.setLocation(350,20);
		s2RB.setLocation(350,60);
		jRB.setLocation(350,100);
		p1RB.setLocation(350,140);
		p2RB.setLocation(350,180);
		sh1RB.setLocation(350,220);
		sh2RB.setLocation(350,260);
		hRB.setLocation(350,300);
		colors.setLocation(250,20);
		reset.setLocation(250,60);

		//Add item listeners
		s1RB.addItemListener(this);
		s2RB.addItemListener(this);
		jRB.addItemListener(this);
		p1RB.addItemListener(this);
		p2RB.addItemListener(this);
		sh1RB.addItemListener(this);
		sh2RB.addItemListener(this);
		hRB.addItemListener(this);
		colors.addItemListener(this);
		reset.addActionListener(ResetHandler);

		//add buttons
		c.add(s1RB);
		c.add(s2RB);
		c.add(jRB);
		c.add(p1RB);
		c.add(p2RB);
		c.add(sh1RB);
		c.add(sh2RB);
		c.add(hRB);
		c.add(colors);
		c.add(reset);
		
		//Button group
		ClothesSelectBGroup = new ButtonGroup();
		ClothesSelectBGroup.add(s1RB);
		ClothesSelectBGroup.add(s2RB);
		ClothesSelectBGroup.add(jRB);
		ClothesSelectBGroup.add(p1RB);
		ClothesSelectBGroup.add(p2RB);
		ClothesSelectBGroup.add(sh1RB);
		ClothesSelectBGroup.add(sh2RB);
		ClothesSelectBGroup.add(hRB);
	}
	public void paint(Graphics g)
	{
		super.paint(g);
		//Stick figure created
		g.setColor(Color.black);
		g.drawOval(150,50,50,50);
		g.drawLine(175,100,175,200);
		g.drawLine(115,135,235,135);
		g.drawLine(175,200,150,275);
		g.drawLine(175,200,200,275);
		g.drawLine(150,275,130,275);
		g.drawLine(200,275,220,275);
		g.drawOval(160,65,5,5);
		g.drawOval(185,65,5,5);
		g.drawArc(157,75,35,15,190,170);

		//draw buttons
		g.drawRoundRect(340,10,120,330,10,10);
		g.drawRoundRect(240,10,100,90,10,10);

		//Draw Articles
		if(shirt1)
		{
			g.setColor(color0);
			g.fillRoundRect(155,115,40,75,10,10);
			g.fillRoundRect(135,130,80,10,10,10);
		}
		if(shirt2)
		{
			
			g.setColor(color1);
			g.fillRoundRect(120,130,110,10,10,10);
			g.setColor(Color.black);
			g.drawRoundRect(120,130,110,10,10,10);	
			g.setColor(color1);
			g.fillRoundRect(155,115,40,75,10,10);
			g.setColor(Color.black);
			g.drawRoundRect(155,115,40,75,10,10);
		}
		if(jacket)
		{
			g.setColor(color2);
			g.fillRoundRect(155,115,15,75,10,10);
			g.fillRoundRect(180,115,15,75,10,10);
			g.fillRoundRect(120,130,40,15,10,10);
			g.fillRoundRect(190,130,40,15,10,10);
		}
		if(pants1)
		{
			g.setColor(color3);
			g.fillRoundRect(155,190,40,30,10,10);
			int[] pointsX = {145,165,175,155};
			int[] pointsY={270,270,220,215};
			g.fillPolygon(pointsX,pointsY,4);
			int[] pointsX2 = {205,185,175,195};
			int[] pointsY2={270,270,220,215};
			g.fillPolygon(pointsX2,pointsY2,4);
		}
		if(pants2)
		{
			g.setColor(color4);
			g.fillRoundRect(155,190,40,30,10,10);
			int[] pointsX = {145,165,175,155};
			int[] pointsY={270,270,220,215};
			g.fillPolygon(pointsX,pointsY,4);
			int[] pointsX2 = {205,185,175,195};
			int[] pointsY2={270,270,220,215};
			g.fillPolygon(pointsX2,pointsY2,4);
		}
		if(shoes1)
		{
			g.setColor(color5);
			g.fillRoundRect(130,270,35,15,10,10);
			g.fillRoundRect(185,270,35,15,10,10);
			g.setColor(Color.black);
			g.drawRoundRect(130,270,35,15,10,10);
			g.drawRoundRect(185,270,35,15,10,10);
		}
		if(shoes2)
		{
			g.setColor(color6);
			g.fillRoundRect(130,270,35,12,10,10);
			g.fillRoundRect(185,270,35,12,10,10);
		}
		if(hat)
		{
			g.setColor(color7);
			int[] pointsX3 = {197,187,162,152};
			int[] pointsY3={62,32,32,62};
			g.fillPolygon(pointsX3,pointsY3,4);
			g.setColor(Color.yellow);
			g.fillRoundRect(173,31,14,2,10,10);
			g.fillRoundRect(185,31,2,20,10,10);
		}
	}
	public void itemStateChanged(ItemEvent e)
	{
		if(e.getSource()==s1RB)
		{
			if(e.getStateChange()==ItemEvent.SELECTED)
			{
				String colora = Colors[colors.getSelectedIndex()];
				if(colora.equals("Red"))
					color0 = Color.red;
				else if(colora.equals("Blue"))
					color0 = Color.blue;
				else if(colora.equals("Yellow"))
					color0 = Color.yellow;
				else if(colora.equals("Black"))
					color0 = Color.black;
				else if(colora.equals("Gray"))
					color0 = Color.gray;
				else if (colora.equals("Crimson"))
					color0 = myColor;
				else
					color0 = Color.white;
				shirt1=true;
			}
			repaint();
		}
		if(e.getSource()==s2RB)
		{	
			if(e.getStateChange()==ItemEvent.SELECTED)
			{
				String colorb = Colors[colors.getSelectedIndex()];
				if(colorb.equals("Red"))
					color1 = Color.red;
				else if(colorb.equals("Blue"))
					color1 = Color.blue;
				else if(colorb.equals("Yellow"))
					color1 = Color.yellow;
				else if(colorb.equals("Black"))
					color1 = Color.black;
				else if(colorb.equals("Gray"))
					color1 = Color.gray;
				else if (colorb.equals("Crimson"))
					color1 = myColor;
				else
					color1 = Color.white;
				shirt2=true;
			}
			repaint();
		}
		if(e.getSource()==jRB)
		{
			if(e.getStateChange()==ItemEvent.SELECTED)
			{
				String colorc = Colors[colors.getSelectedIndex()];
				if(colorc.equals("Red"))
					color2 = Color.red;
				else if(colorc.equals("Blue"))
					color2 = Color.blue;
				else if(colorc.equals("Yellow"))
					color2 = Color.yellow;
				else if(colorc.equals("Black"))
					color2 = Color.black;
				else if(colorc.equals("Gray"))
					color2 = Color.gray;
				else if (colorc.equals("Crimson"))
					color2 = myColor;
				else
					color2 = Color.white;	
				jacket=true;
			}
			repaint();
		}
		if(e.getSource()==p1RB)
		{	
			if(e.getStateChange()==ItemEvent.SELECTED)
			{
				String colord = Colors[colors.getSelectedIndex()];
				if(colord.equals("Red"))
					color3 = Color.red;
				else if(colord.equals("Blue"))
					color3 = Color.blue;
				else if(colord.equals("Yellow"))
					color3 = Color.yellow;
				else if(colord.equals("Black"))
					color3 = Color.black;
				else if(colord.equals("Gray"))
					color3 = Color.gray;
				else if (colord.equals("Crimson"))
					color3 = myColor;
				else
					color3 = Color.white;
				pants1=true;
			}
			repaint();
		}
		if(e.getSource()==p2RB)
		{	
			if(e.getStateChange()==ItemEvent.SELECTED)
			{
				String colore = Colors[colors.getSelectedIndex()];
				if(colore.equals("Red"))
					color4 = Color.red;
				else if(colore.equals("Blue"))
					color4 = Color.blue;
				else if(colore.equals("Yellow"))
					color4 = Color.yellow;
				else if(colore.equals("Black"))
					color4 = Color.black;
				else if(colore.equals("Gray"))
					color4 = Color.gray;
				else if (colore.equals("Crimson"))
					color4 = myColor;
				else
					color1 = Color.white;
				pants2=true;
			}	
			repaint();
		}
		if(e.getSource()==sh1RB)
		{	
			if(e.getStateChange()==ItemEvent.SELECTED)
			{
				String colorf = Colors[colors.getSelectedIndex()];
				if(colorf.equals("Red"))
					color5 = Color.red;
				else if(colorf.equals("Blue"))
					color5 = Color.blue;
				else if(colorf.equals("Yellow"))
					color5 = Color.yellow;
				else if(colorf.equals("Black"))
					color5 = Color.black;
				else if(colorf.equals("Gray"))
					color5 = Color.gray;
				else if (colorf.equals("Crimson"))
					color5 = myColor;
				else
					color5 = Color.white;
				shoes1=true;
			}
			repaint();
		}
		if(e.getSource()==sh2RB)
		{	
			if(e.getStateChange()==ItemEvent.SELECTED)
			{
				String colorg = Colors[colors.getSelectedIndex()];
				if(colorg.equals("Red"))
					color6 = Color.red;
				else if(colorg.equals("Blue"))
					color6 = Color.blue;
				else if(colorg.equals("Yellow"))
					color6 = Color.yellow;
				else if(colorg.equals("Black"))
					color6 = Color.black;
				else if(colorg.equals("Gray"))
					color6 = Color.gray;
				else if (colorg.equals("Crimson"))
					color6 = myColor;
				else
					color6 = Color.white;
				shoes2=true;
			}
			repaint();
		}
		if(e.getSource()==hRB)
		{	
			if(e.getStateChange()==ItemEvent.SELECTED)
			{
				String colorh = Colors[colors.getSelectedIndex()];
				if(colorh.equals("Red"))
					color7 = Color.red;
				else if(colorh.equals("Blue"))
					color7 = Color.blue;
				else if(colorh.equals("Yellow"))
					color7 = Color.yellow;
				else if(colorh.equals("Black"))
					color7 = Color.black;
				else if(colorh.equals("Gray"))
					color7 = Color.gray;
				else if (colorh.equals("Crimson"))
					color7 = myColor;
				else
					color7 = Color.white;
				hat=true;
			}
			repaint();
		}
	}

	private class RHandler implements ActionListener
	{
		public void actionPerformed (ActionEvent e)
		{
			if(e.getActionCommand().equals("Reset"))
			{
				shirt1=false;
				shirt2=false; 
				jacket=false; 
				pants1=false; 
				pants2=false; 
				shoes1=false; 
				shoes2=false; 
				hat=false;
				repaint();
			}
		}
	}
}